## org.eclipse.jet.taglib.workspace
Class AbstractWorkspaceAction

    java.lang.Object
      org.eclipse.jet.taglib.workspace.AbstractWorkspaceAction

All Implemented Interfaces:
  IWorkspaceAction

    public abstract class AbstractWorkspaceAction

extends java.lang.Object
implements IWorkspaceAction

Abstract implementation of IWorkspaceAction that manages the standard execution tracing information.

Constructor Summary
`protected` `AbstractWorkspaceAction(TagInfo tagInfo, java.lang.String templatePath)`

Method Summary
`TagInfo` `getTagInfo()` Returns the Tag information of the tag that originated this action.
`java.lang.String` `getTemplatePath()` Returns the path of the template that originated this action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jet.taglib.workspace.IWorkspaceAction
`getResource, performAction, requiresValidateEdit`

Constructor Detail

### AbstractWorkspaceAction

    protected AbstractWorkspaceAction(TagInfo tagInfo,
                                      java.lang.String templatePath)

Method Detail

### getTagInfo

    public final TagInfo getTagInfo()

  Description copied from interface: `IWorkspaceAction`
  Returns the Tag information of the tag that originated this action.

  Specified by:
    `getTagInfo` in interface `IWorkspaceAction`
  Returns:
    a non-null TagInfo object.

### getTemplatePath

    public final java.lang.String getTemplatePath()

  Description copied from interface: `IWorkspaceAction`
  Returns the path of the template that originated this action.

  Specified by:
    `getTemplatePath` in interface `IWorkspaceAction`
  Returns:
    a non-null String

Copyright 2006 IBM Corporation and others. All Rights Reserved.